## ros-one-industrial-robot-client 0.7.3-7jammy.20251023.1034

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(industrial_robot_client)

find_package(catkin REQUIRED COMPONENTS actionlib actionlib_msgs
  control_msgs industrial_msgs industrial_utils roscpp sensor_msgs
  simple_message std_msgs trajectory_msgs urdf)

find_package(Boost REQUIRED COMPONENTS system thread)

set(SRC_FILES src/joint_relay_handler.cpp
              src/joint_trajectory_downloader.cpp
              src/joint_trajectory_interface.cpp
              src/joint_trajectory_streamer.cpp
              src/robot_state_interface.cpp
              src/robot_status_relay_handler.cpp
              src/utils.cpp)

# NOTE: The libraries generated this package are not included in the catkin_package
# macro because libraries must be explicitly linked in projects that depend on this
# package.  If this is not done (and these libraries were exported), then multiple
# library definitions (normal - industrial_robot_client and byteswapped.
# industrial_robot_client_bswap) are both included (this is bad).
catkin_package(
  CATKIN_DEPENDS actionlib actionlib_msgs control_msgs
    industrial_msgs industrial_utils roscpp sensor_msgs
    simple_message std_msgs trajectory_msgs urdf
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}_dummy
  CFG_EXTRAS
    issue46_workaround.cmake
    platform_build_flags.cmake
)


include_directories(include
  ${catkin_INCLUDE_DIRS}
)


# generate dummy library (we export it in catkin_package(..)), to force catkin
# to set up LIBRARY_DIRS properly.
# TODO: find out if LIBRARY_DIRS can be exported without dummy library target
add_custom_command(
  OUTPUT  ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_dummy.cpp
  COMMAND ${CMAKE_COMMAND} -E touch ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_dummy.cpp)
add_library(${PROJECT_NAME}_dummy ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}_dummy.cpp)
# unfortunately this will have to be installed, but the linker will remove it
# from the library dependencies of dependent targets, as it contains no symbols
# that can be imported from it.
install(TARGETS ${PROJECT_NAME}_dummy
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})


# This library depends on the simple_message library, which is available
# in two formats to support endian differences between robot & PC.
#
# As in simple_message, two libraries are created: one that does direct
# passthrough of binary numeric data to the robot controller, and one that
# uses byte-swapping to account for endian mis-matches.
#
# Due to catkin dependency limitations, higher-level code must
# explicitly link to the desired industrial_robot_client library:
#    target_link_libraries(my_node industrial_robot_client)
#      or
#    target_link_libraries(my_node industrial_robot_client_bswap)
#

add_library(${PROJECT_NAME} ${SRC_FILES})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} simple_message)
target_compile_definitions(${PROJECT_NAME} PUBLIC
  ${simple_message_DEFINITIONS})

add_library(${PROJECT_NAME}_bswap ${SRC_FILES})
target_link_libraries(${PROJECT_NAME}_bswap ${catkin_LIBRARIES} simple_message_bswap)
target_compile_definitions(${PROJECT_NAME}_bswap PUBLIC
  ${simple_message_bswap_DEFINITIONS})

# The following executables(nodes) are for applications where the robot
# controller and pc have the same byte order (i.e. byte swapping NOT
# required)

add_executable(robot_state
  src/generic_robot_state_node.cpp)
target_link_libraries(robot_state 
  ${PROJECT_NAME}
  simple_message
  ${catkin_LIBRARIES})
target_compile_definitions(robot_state PRIVATE
  ${simple_message_DEFINITIONS})

add_executable(motion_streaming_interface
  src/generic_joint_streamer_node.cpp)
target_link_libraries(motion_streaming_interface 
  ${PROJECT_NAME} 
  simple_message
  ${catkin_LIBRARIES})
target_compile_definitions(motion_streaming_interface PRIVATE
  ${simple_message_DEFINITIONS})

add_executable(motion_download_interface
  src/generic_joint_downloader_node.cpp)
target_link_libraries(motion_download_interface 
  ${PROJECT_NAME} 
  simple_message
  ${catkin_LIBRARIES})
target_compile_definitions(motion_download_interface PRIVATE
  ${simple_message_DEFINITIONS})

# The following executables(nodes) are for applications where the robot
# controller and pc have different same byte order (i.e. byte swapping IS
# required)

add_executable(robot_state_bswap
  src/generic_robot_state_node.cpp)
target_link_libraries(robot_state_bswap 
  ${PROJECT_NAME}_bswap 
  simple_message_bswap
  ${catkin_LIBRARIES})
target_compile_definitions(robot_state_bswap PRIVATE
  ${simple_message_bswap_DEFINITIONS})

add_executable(motion_streaming_interface_bswap
  src/generic_joint_streamer_node.cpp)
target_link_libraries(motion_streaming_interface_bswap 
  ${PROJECT_NAME}_bswap  
  simple_message_bswap
  ${catkin_LIBRARIES})
target_compile_definitions(motion_streaming_interface_bswap PRIVATE
  ${simple_message_bswap_DEFINITIONS})

add_executable(motion_download_interface_bswap
  src/generic_joint_downloader_node.cpp)
target_link_libraries(motion_download_interface_bswap 
  ${PROJECT_NAME}_bswap  
  simple_message_bswap
  ${catkin_LIBRARIES})
target_compile_definitions(motion_download_interface_bswap PRIVATE
  ${simple_message_bswap_DEFINITIONS})

# The following executables(nodes) interface with the robot controller
# at a higher level so there is no need to create two versions (one with
# byte swapping, one without)

add_executable(joint_trajectory_action 
  src/generic_joint_trajectory_action_node.cpp
  src/joint_trajectory_action.cpp)
target_link_libraries(joint_trajectory_action PRIVATE
  ${PROJECT_NAME} ${catkin_LIBRARIES})

##########
## Test ##
##########
# Testing - Only performed on normal (non byte swapped library)
if (CATKIN_ENABLE_TESTING)
  catkin_add_gtest(utest_robot_client test/utest.cpp)
  target_link_libraries(utest_robot_client
    ${PROJECT_NAME}
    ${catkin_LIBRARIES})
endif()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(test/roslaunch_test.xml)
endif()

# ROS launch testing
## ROS launch test should be enabled when launch parameters are supported,
## see details below:
## robot_interface_streaming.launch: 'robot_ip'
## robot_state_visualize.launch]: 'urdf_path'
## robot_interface_download.launch]: 'robot_ip'
##find_package(roslaunch)
##roslaunch_add_file_check(launch)

install(
  TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_bswap
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(
  TARGETS
    joint_trajectory_action
    motion_download_interface
    motion_download_interface_bswap
    motion_streaming_interface
    motion_streaming_interface_bswap
    robot_state
    robot_state_bswap
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(DIRECTORY config launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-one-industrial-robot-client (0.7.3-7jammy.20251023.1034) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 23 Oct 2025 10:34:05 +0000

ros-one-industrial-robot-client (0.7.3-0jammy) jammy; urgency=high

  * No changes

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 15 Jul 2021 00:00:00 -0000

ros-one-industrial-robot-client (0.7.2-0jammy) jammy; urgency=high

  * target Melodic and newer.
  * fix line-endings -- all files (#268 <https://github.com/ros-industrial/industrial_core/issues/268>)
  * catkin_lint all packages (#266 <https://github.com/ros-industrial/industrial_core/issues/266>)
  * add Windows compatibility (#264 <https://github.com/ros-industrial/industrial_core/issues/264>)
  * export compiler flags (#262 <https://github.com/ros-industrial/industrial_core/issues/262>)
  * always send trajectory stop request (#260 <https://github.com/ros-industrial/industrial_core/issues/260>)
  * add Noetic compatibility (#258 <https://github.com/ros-industrial/industrial_core/issues/258>)
  * mark as arch independent (#248 <https://github.com/ros-industrial/industrial_core/issues/248>)
  * update maintainers (#243 <https://github.com/ros-industrial/industrial_core/issues/243>)
  * for a complete list of changes see the commit log for 0.7.2 <https://github.com/ros-industrial/industrial_core/compare/0.7.1...0.7.2>.
  * contributors: Felix Messmer, Joseph Schornak, Josh Langsfeld, ipa-nhg, Sean Yen, Simon Schmeisser, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 28 Jun 2021 00:00:00 -0000

ros-one-industrial-robot-client (0.7.1-0jammy) jammy; urgency=high

  * Updated all package xml files to version 2 (#232 <https://github.com/ros-industrial/industrial_core/issues/232>)
  * all: update maintainer email addresses (#222 <https://github.com/ros-industrial/industrial_core/issues/222>)
  * Add namespacing to all ``joint_trajectory_action`` log messages (#192 <https://github.com/ros-industrial/industrial_core/issues/192>)
  * Correct off-by-one on debug output (#229 <https://github.com/ros-industrial/industrial_core/issues/229>)
  * Contributors: Dave Coleman, Gonzalo Casas, Jeremy Zoss, Jorge Nicho, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 19 Sep 2019 00:00:00 -0000

ros-one-industrial-robot-client (0.7.0-0jammy) jammy; urgency=high

  * Decrease idle wait time.  250 ms is too slow. Fix #214 <https://github.com/ros-industrial/industrial_core/issues/214>.
  * robot_client: add roslaunch testing. Fix #208 <https://github.com/ros-industrial/industrial_core/issues/208>.
  * Removed robot_state_visualization.launch, as that would introduce a dependency on rviz. Fix ros-industrial/ros_industrial_issues#50 <https://github.com/ros-industrial/ros_industrial_issues/issues/50>.
  * robot_client: add missing dependency on RSP. Fix #209 <https://github.com/ros-industrial/industrial_core/issues/209>.
  * Updated the libraries install tags- follow the official documentation. Fix #193 <https://github.com/ros-industrial/industrial_core/issues/193>.
  * Added missed test dependencies to rosunit. Fix #205 <https://github.com/ros-industrial/industrial_core/issues/205>.
  * Using the 'doc' attribute on 'arg' elements. Added doc strings to all launch file args.
  * Merge branch 'kinetic-devel' into urdfdom_headers_fix
  * robot_client: make indenting consistent.
  * client: build unit tests conditionally
  * Contributors: Dmitry Rozhkov, G.A. vd. Hoorn, Harsh Deshpande, Levi Armstrong, Nadia Hammoudeh García, Patrick Beeson, Shaun Edwards, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Tue, 12 Feb 2019 00:00:00 -0000

ros-one-industrial-robot-client (0.6.0-0jammy) jammy; urgency=high

  * Added C++ 11 compile option
  * Contributors: Victor Lamoine

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 16 Jan 2017 00:00:00 -0000

ros-one-industrial-robot-client (0.5.1-0jammy) jammy; urgency=high

  * robot_status: missing reply to SERVICE_REQUEST. Fix in robot_status_message and relay_handler.
  * industrial_robot_client: Fix signature of goal and cancel callbacks.
  * Contributors: Alberto Marini, Maarten de Vries

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 15 Jan 2017 00:00:00 -0000

ros-one-industrial-robot-client (0.5.0-0jammy) jammy; urgency=high

  * Start checking for trajectory completion as soon as the first moving status arrives
  * Forces the action to wait for half of the duration of the trajectory
    before it begins to check for completition. This prevents the action
    for returning immediately for trajectories that end near the start
    point and are slow to start moving.
  * Merge pull request #115 <https://github.com/shaun-edwards/industrial_core/issues/115> from Jmeyer1292/issue#114 <https://github.com/Jmeyer1292/issue/issues/114>`__start_tolerance_check Issue`#114 <https://github.com/shaun-edwards/industrial_core/issues/114> - Action Server withinGoalConstraints check removal
  * Revert "Revert "Merge pull request #113 <https://github.com/shaun-edwards/industrial_core/issues/113> from simonschmeisser/indigo""
    This reverts commit fb28e26fdbd3c316941d4d66af2f1c9b5410cb0d.
  * Removed withinTolerance check from the accept function
  * Contributors: Jonathan Meyer, Shaun Edwards, Simon Schmeisser

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 22 Feb 2016 00:00:00 -0000

ros-one-industrial-robot-client (0.4.3-0jammy) jammy; urgency=high

  * Start checking for trajectory completion as soon as the first moving status arrives
  * Contributors: Simon Schmeisser

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 07 Feb 2016 00:00:00 -0000



=== debian/control ===
Source: ros-one-industrial-robot-client
Section: misc
Priority: optional
Maintainer: G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>
Build-Depends: debhelper (>= 9.0.0), ros-one-actionlib, ros-one-actionlib-msgs, ros-one-catkin, ros-one-control-msgs, ros-one-industrial-msgs, ros-one-industrial-utils, ros-one-roscpp, ros-one-sensor-msgs, ros-one-simple-message, ros-one-std-msgs, ros-one-trajectory-msgs, ros-one-urdf
Homepage: http://ros.org/wiki/industrial_robot_client
Standards-Version: 3.9.2

Package: ros-one-industrial-robot-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-actionlib, ros-one-actionlib-msgs, ros-one-control-msgs, ros-one-industrial-msgs, ros-one-industrial-utils, ros-one-robot-state-publisher, ros-one-roscpp, ros-one-sensor-msgs, ros-one-simple-message, ros-one-std-msgs, ros-one-trajectory-msgs, ros-one-urdf
Description: industrial robot client contains generic clients for connecting to industrial robot controllers with servers that adhere to the simple message protocol.

## ros-one-industrial-robot-client 0.7.3-7jammy.20260221.2159

=== debian/changelog ===
ros-one-industrial-robot-client (0.7.3-7jammy.20260221.2159) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sat, 21 Feb 2026 21:59:55 +0000

## ros-one-industrial-robot-client 0.7.3-7noble.20251023.1051

=== debian/changelog ===
ros-one-industrial-robot-client (0.7.3-7noble.20251023.1051) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 23 Oct 2025 10:51:56 +0000

ros-one-industrial-robot-client (0.7.3-0noble) noble; urgency=high

  * No changes

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 15 Jul 2021 00:00:00 -0000

ros-one-industrial-robot-client (0.7.2-0noble) noble; urgency=high

  * target Melodic and newer.
  * fix line-endings -- all files (#268 <https://github.com/ros-industrial/industrial_core/issues/268>)
  * catkin_lint all packages (#266 <https://github.com/ros-industrial/industrial_core/issues/266>)
  * add Windows compatibility (#264 <https://github.com/ros-industrial/industrial_core/issues/264>)
  * export compiler flags (#262 <https://github.com/ros-industrial/industrial_core/issues/262>)
  * always send trajectory stop request (#260 <https://github.com/ros-industrial/industrial_core/issues/260>)
  * add Noetic compatibility (#258 <https://github.com/ros-industrial/industrial_core/issues/258>)
  * mark as arch independent (#248 <https://github.com/ros-industrial/industrial_core/issues/248>)
  * update maintainers (#243 <https://github.com/ros-industrial/industrial_core/issues/243>)
  * for a complete list of changes see the commit log for 0.7.2 <https://github.com/ros-industrial/industrial_core/compare/0.7.1...0.7.2>.
  * contributors: Felix Messmer, Joseph Schornak, Josh Langsfeld, ipa-nhg, Sean Yen, Simon Schmeisser, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 28 Jun 2021 00:00:00 -0000

ros-one-industrial-robot-client (0.7.1-0noble) noble; urgency=high

  * Updated all package xml files to version 2 (#232 <https://github.com/ros-industrial/industrial_core/issues/232>)
  * all: update maintainer email addresses (#222 <https://github.com/ros-industrial/industrial_core/issues/222>)
  * Add namespacing to all ``joint_trajectory_action`` log messages (#192 <https://github.com/ros-industrial/industrial_core/issues/192>)
  * Correct off-by-one on debug output (#229 <https://github.com/ros-industrial/industrial_core/issues/229>)
  * Contributors: Dave Coleman, Gonzalo Casas, Jeremy Zoss, Jorge Nicho, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 19 Sep 2019 00:00:00 -0000

ros-one-industrial-robot-client (0.7.0-0noble) noble; urgency=high

  * Decrease idle wait time.  250 ms is too slow. Fix #214 <https://github.com/ros-industrial/industrial_core/issues/214>.
  * robot_client: add roslaunch testing. Fix #208 <https://github.com/ros-industrial/industrial_core/issues/208>.
  * Removed robot_state_visualization.launch, as that would introduce a dependency on rviz. Fix ros-industrial/ros_industrial_issues#50 <https://github.com/ros-industrial/ros_industrial_issues/issues/50>.
  * robot_client: add missing dependency on RSP. Fix #209 <https://github.com/ros-industrial/industrial_core/issues/209>.
  * Updated the libraries install tags- follow the official documentation. Fix #193 <https://github.com/ros-industrial/industrial_core/issues/193>.
  * Added missed test dependencies to rosunit. Fix #205 <https://github.com/ros-industrial/industrial_core/issues/205>.
  * Using the 'doc' attribute on 'arg' elements. Added doc strings to all launch file args.
  * Merge branch 'kinetic-devel' into urdfdom_headers_fix
  * robot_client: make indenting consistent.
  * client: build unit tests conditionally
  * Contributors: Dmitry Rozhkov, G.A. vd. Hoorn, Harsh Deshpande, Levi Armstrong, Nadia Hammoudeh García, Patrick Beeson, Shaun Edwards, gavanderhoorn

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Tue, 12 Feb 2019 00:00:00 -0000

ros-one-industrial-robot-client (0.6.0-0noble) noble; urgency=high

  * Added C++ 11 compile option
  * Contributors: Victor Lamoine

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 16 Jan 2017 00:00:00 -0000

ros-one-industrial-robot-client (0.5.1-0noble) noble; urgency=high

  * robot_status: missing reply to SERVICE_REQUEST. Fix in robot_status_message and relay_handler.
  * industrial_robot_client: Fix signature of goal and cancel callbacks.
  * Contributors: Alberto Marini, Maarten de Vries

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 15 Jan 2017 00:00:00 -0000

ros-one-industrial-robot-client (0.5.0-0noble) noble; urgency=high

  * Start checking for trajectory completion as soon as the first moving status arrives
  * Forces the action to wait for half of the duration of the trajectory
    before it begins to check for completition. This prevents the action
    for returning immediately for trajectories that end near the start
    point and are slow to start moving.
  * Merge pull request #115 <https://github.com/shaun-edwards/industrial_core/issues/115> from Jmeyer1292/issue#114 <https://github.com/Jmeyer1292/issue/issues/114>`__start_tolerance_check Issue`#114 <https://github.com/shaun-edwards/industrial_core/issues/114> - Action Server withinGoalConstraints check removal
  * Revert "Revert "Merge pull request #113 <https://github.com/shaun-edwards/industrial_core/issues/113> from simonschmeisser/indigo""
    This reverts commit fb28e26fdbd3c316941d4d66af2f1c9b5410cb0d.
  * Removed withinTolerance check from the accept function
  * Contributors: Jonathan Meyer, Shaun Edwards, Simon Schmeisser

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Mon, 22 Feb 2016 00:00:00 -0000

ros-one-industrial-robot-client (0.4.3-0noble) noble; urgency=high

  * Start checking for trajectory completion as soon as the first moving status arrives
  * Contributors: Simon Schmeisser

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 07 Feb 2016 00:00:00 -0000



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-industrial-robot-client//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-industrial-robot-client 0.7.3-7noble.20260221.2253

=== debian/changelog ===
ros-one-industrial-robot-client (0.7.3-7noble.20260221.2253) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sat, 21 Feb 2026 22:53:31 +0000
